Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyLangLexer

- org.apache.groovy.parser.antlr4.GroovyLangLexer

-     public class GroovyLangLexer
      extends org.apache.groovy.parser.antlr4.GroovyLexer

  The lexer for Groovy programming language, which is based on the lexer generated by Antlr4

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.apache.groovy.parser.antlr4.GroovyLexer` | `StringLiteral, GStringBegin, GStringEnd, GStringPart, GStringPathPart, RollBackOne, AS, DEF, IN, TRAIT, THREADSAFE, VAR, BuiltInPrimitiveType, ABSTRACT, ASSERT, BREAK, YIELD, CASE, CATCH, CLASS, CONST, CONTINUE, DEFAULT, DO, ELSE, ENUM, EXTENDS, FINAL, FINALLY, FOR, IF, GOTO, IMPLEMENTS, IMPORT, INSTANCEOF, INTERFACE, NATIVE, NEW, NON_SEALED, PACKAGE, PERMITS, PRIVATE, PROTECTED, PUBLIC, RECORD, RETURN, SEALED, STATIC, STRICTFP, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TRANSIENT, TRY, VOID, VOLATILE, WHILE, IntegerLiteral, FloatingPointLiteral, BooleanLiteral, NullLiteral, RANGE_INCLUSIVE, RANGE_EXCLUSIVE_LEFT, RANGE_EXCLUSIVE_RIGHT, RANGE_EXCLUSIVE_FULL, SPREAD_DOT, SAFE_DOT, SAFE_INDEX, SAFE_CHAIN_DOT, ELVIS, METHOD_POINTER, METHOD_REFERENCE, REGEX_FIND, REGEX_MATCH, POWER, POWER_ASSIGN, SPACESHIP, IDENTICAL, NOT_IDENTICAL, ARROW, NOT_INSTANCEOF, NOT_IN, LPAREN, RPAREN, LBRACE, RBRACE, LBRACK, RBRACK, SEMI, COMMA, DOT, ASSIGN, GT, LT, NOT, BITNOT, QUESTION, COLON, EQUAL, LE, GE, NOTEQUAL, AND, OR, INC, DEC, ADD, SUB, MUL, DIV, BITAND, BITOR, XOR, MOD, ADD_ASSIGN, SUB_ASSIGN, MUL_ASSIGN, DIV_ASSIGN, AND_ASSIGN, OR_ASSIGN, XOR_ASSIGN, MOD_ASSIGN, LSHIFT_ASSIGN, RSHIFT_ASSIGN, URSHIFT_ASSIGN, ELVIS_ASSIGN, CapitalizedIdentifier, Identifier, AT, ELLIPSIS, WS, NL, SH_COMMENT, UNEXPECTED_CHAR, DQ_GSTRING_MODE, TDQ_GSTRING_MODE, SLASHY_GSTRING_MODE, DOLLAR_SLASHY_GSTRING_MODE, GSTRING_TYPE_SELECTOR_MODE, GSTRING_PATH_MODE, channelNames, modeNames, ruleNames, VOCABULARY, tokenNames, _serializedATN, _ATN, NO_OFFSET, DEFAULT_MODE, MORE, SKIP, DEFAULT_TOKEN_CHANNEL, HIDDEN, MIN_CHAR_VALUE, MAX_CHAR_VALUE, _input, _token, _tokenStartCharIndex, _tokenStartLine, _tokenStartCharPositionInLine, _hitEOF, _channel, _type, _modeStack, _mode, _text, EOF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyLangLexer(Reader reader)`
    `GroovyLangLexer(CharStream input)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `recover(LexerNoViableAltException e)`
    `` | `protected void` | `rollbackOneChar()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.apache.groovy.parser.antlr4.GroovyLexer` | `org.apache.groovy.parser.antlr4.GroovyLexer#action(org.antlr.v4.runtime.RuleContext, int, int), org.apache.groovy.parser.antlr4.GroovyLexer#emit(org.antlr.v4.runtime.Token), org.apache.groovy.parser.antlr4.GroovyLexer#getErrorLine(), org.apache.groovy.parser.antlr4.GroovyLexer#getErrorColumn(), org.apache.groovy.parser.antlr4.GroovyLexer#isErrorIgnored(), org.apache.groovy.parser.antlr4.GroovyLexer#setErrorIgnored(boolean), org.apache.groovy.parser.antlr4.GroovyLexer#getChannelNames(), org.apache.groovy.parser.antlr4.GroovyLexer#getModeNames(), org.apache.groovy.parser.antlr4.GroovyLexer#sempred(org.antlr.v4.runtime.RuleContext, int, int), org.apache.groovy.parser.antlr4.GroovyLexer#getSerializedATN(), org.apache.groovy.parser.antlr4.GroovyLexer#getGrammarFileName(), org.apache.groovy.parser.antlr4.GroovyLexer#getRuleNames(), org.apache.groovy.parser.antlr4.GroovyLexer#popMode(), org.apache.groovy.parser.antlr4.GroovyLexer#getTokenNames(), org.apache.groovy.parser.antlr4.GroovyLexer#getVocabulary(), org.apache.groovy.parser.antlr4.GroovyLexer#getSyntaxErrorSource(), org.apache.groovy.parser.antlr4.GroovyLexer#nextToken(), org.apache.groovy.parser.antlr4.GroovyLexer#getType(), org.apache.groovy.parser.antlr4.GroovyLexer#mode(int), org.apache.groovy.parser.antlr4.GroovyLexer#skip(), org.apache.groovy.parser.antlr4.GroovyLexer#reset(), org.apache.groovy.parser.antlr4.GroovyLexer#getInputStream(), org.apache.groovy.parser.antlr4.GroovyLexer#getInputStream(), org.apache.groovy.parser.antlr4.GroovyLexer#getChannel(), org.apache.groovy.parser.antlr4.GroovyLexer#more(), org.apache.groovy.parser.antlr4.GroovyLexer#getText(), org.apache.groovy.parser.antlr4.GroovyLexer#setText(java.lang.String), org.apache.groovy.parser.antlr4.GroovyLexer#setType(int), org.apache.groovy.parser.antlr4.GroovyLexer#setInputStream(org.antlr.v4.runtime.CharStream), org.apache.groovy.parser.antlr4.GroovyLexer#emit(), org.apache.groovy.parser.antlr4.GroovyLexer#getLine(), org.apache.groovy.parser.antlr4.GroovyLexer#getToken(), org.apache.groovy.parser.antlr4.GroovyLexer#notifyListeners(org.antlr.v4.runtime.LexerNoViableAltException), org.apache.groovy.parser.antlr4.GroovyLexer#getSourceName(), org.apache.groovy.parser.antlr4.GroovyLexer#recover(org.antlr.v4.runtime.LexerNoViableAltException), org.apache.groovy.parser.antlr4.GroovyLexer#recover(org.antlr.v4.runtime.RecognitionException), org.apache.groovy.parser.antlr4.GroovyLexer#pushMode(int), org.apache.groovy.parser.antlr4.GroovyLexer#emitEOF(), org.apache.groovy.parser.antlr4.GroovyLexer#setToken(org.antlr.v4.runtime.Token), org.apache.groovy.parser.antlr4.GroovyLexer#getAllTokens(), org.apache.groovy.parser.antlr4.GroovyLexer#getCharIndex(), org.apache.groovy.parser.antlr4.GroovyLexer#getErrorDisplay(java.lang.String), org.apache.groovy.parser.antlr4.GroovyLexer#getErrorDisplay(int), org.apache.groovy.parser.antlr4.GroovyLexer#getTokenFactory(), org.apache.groovy.parser.antlr4.GroovyLexer#setTokenFactory(org.antlr.v4.runtime.TokenFactory), org.apache.groovy.parser.antlr4.GroovyLexer#setChannel(int), org.apache.groovy.parser.antlr4.GroovyLexer#setLine(int), org.apache.groovy.parser.antlr4.GroovyLexer#getCharPositionInLine(), org.apache.groovy.parser.antlr4.GroovyLexer#getCharErrorDisplay(int), org.apache.groovy.parser.antlr4.GroovyLexer#setCharPositionInLine(int), org.apache.groovy.parser.antlr4.GroovyLexer#getState(), org.apache.groovy.parser.antlr4.GroovyLexer#setState(int), org.apache.groovy.parser.antlr4.GroovyLexer#removeErrorListeners(), org.apache.groovy.parser.antlr4.GroovyLexer#getTokenTypeMap(), org.apache.groovy.parser.antlr4.GroovyLexer#precpred(org.antlr.v4.runtime.RuleContext, int), org.apache.groovy.parser.antlr4.GroovyLexer#getErrorHeader(org.antlr.v4.runtime.RecognitionException), org.apache.groovy.parser.antlr4.GroovyLexer#getRuleIndexMap(), org.apache.groovy.parser.antlr4.GroovyLexer#getParseInfo(), org.apache.groovy.parser.antlr4.GroovyLexer#getErrorListeners(), org.apache.groovy.parser.antlr4.GroovyLexer#getTokenType(java.lang.String), org.apache.groovy.parser.antlr4.GroovyLexer#getInterpreter(), org.apache.groovy.parser.antlr4.GroovyLexer#addErrorListener(org.antlr.v4.runtime.ANTLRErrorListener), org.apache.groovy.parser.antlr4.GroovyLexer#getATN(), org.apache.groovy.parser.antlr4.GroovyLexer#setInterpreter(org.antlr.v4.runtime.atn.ATNSimulator), org.apache.groovy.parser.antlr4.GroovyLexer#getErrorListenerDispatch(), org.apache.groovy.parser.antlr4.GroovyLexer#removeErrorListener(org.antlr.v4.runtime.ANTLRErrorListener), org.apache.groovy.parser.antlr4.GroovyLexer#getTokenErrorDisplay(org.antlr.v4.runtime.Token), org.apache.groovy.parser.antlr4.GroovyLexer#wait(long, int), org.apache.groovy.parser.antlr4.GroovyLexer#wait(), org.apache.groovy.parser.antlr4.GroovyLexer#wait(long), org.apache.groovy.parser.antlr4.GroovyLexer#equals(java.lang.Object), org.apache.groovy.parser.antlr4.GroovyLexer#toString(), org.apache.groovy.parser.antlr4.GroovyLexer#hashCode(), org.apache.groovy.parser.antlr4.GroovyLexer#getClass(), org.apache.groovy.parser.antlr4.GroovyLexer#notify(), org.apache.groovy.parser.antlr4.GroovyLexer#notifyAll(), org.apache.groovy.parser.antlr4.GroovyLexer#require(boolean, java.lang.String, groovy.lang.Tuple2), org.apache.groovy.parser.antlr4.GroovyLexer#require(boolean, java.lang.String), org.apache.groovy.parser.antlr4.GroovyLexer#require(boolean, java.lang.String, int, boolean), org.apache.groovy.parser.antlr4.GroovyLexer#require(boolean, java.lang.String, groovy.lang.Tuple2, boolean), org.apache.groovy.parser.antlr4.GroovyLexer#require(boolean, java.lang.String, boolean), org.apache.groovy.parser.antlr4.GroovyLexer#require(boolean, java.lang.String, int), org.apache.groovy.parser.antlr4.GroovyLexer#throwSyntaxError(java.lang.String, groovy.lang.Tuple2, boolean), org.apache.groovy.parser.antlr4.GroovyLexer#throwSyntaxError(java.lang.String, int, boolean), org.apache.groovy.parser.antlr4.GroovyLexer#genPositionInfo(int), org.apache.groovy.parser.antlr4.GroovyLexer#genPositionInfo(groovy.lang.Tuple2)`

- - ### Constructor Detail

    - #### public GroovyLangLexer(Reader reader)

    - #### public GroovyLangLexer(CharStream input)

  - ### Method Detail

    - #### @Override
      public void recover(LexerNoViableAltException e)

    - #### @Override
      protected void rollbackOneChar()